package com.android.sample.tc_130;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends Activity {
	private final String LCAT = "MainActivity";

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		final MainActivity activity = this;

		Button btnPropNotify = (Button) findViewById(R.id.btnPropNotify);

		Log.i(LCAT, "btnPropNotify is null: " + (btnPropNotify == null));

		btnPropNotify.setOnClickListener(new View.OnClickListener() {

			@Override
			public void onClick(View v) {
				try {
					InputStream stream = activity.getAssets().open("properties/default.properties");

					Properties prop = new Properties();
					prop.load(stream);

					String propValue = prop.getProperty("prop.value1");

					Toast.makeText(activity.getBaseContext(), propValue, Toast.LENGTH_LONG).show();
				} catch (IOException e) {
					e.printStackTrace();
				}

			}
		});

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
